aboutsummaryrefslogtreecommitdiff
path: root/network/feather
diff options
context:
space:
mode:
authorBloyburt <alexpen@startmail.com>2023-04-28 10:09:16 +0100
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2023-04-29 18:11:44 +0700
commit8785cacbe35247b571c4b5b8f4f463e02d9dd590 (patch)
tree2e221cad3ae7c43e6a744586bca7033365d0084a /network/feather
parent78b524548ea9c6d1d1c95cb7957bdeb308d56e23 (diff)
network/feather: Added (Monero Wallet Client)
Signed-off-by: bedlam <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network/feather')
-rw-r--r--network/feather/README24
-rw-r--r--network/feather/doinst.sh10
-rw-r--r--network/feather/feather.SlackBuild123
-rw-r--r--network/feather/feather.info10
-rw-r--r--network/feather/slack-desc19
5 files changed, 186 insertions, 0 deletions
diff --git a/network/feather/README b/network/feather/README
new file mode 100644
index 000000000000..0a2d2c22ffe0
--- /dev/null
+++ b/network/feather/README
@@ -0,0 +1,24 @@
+Feather is a free, open-source Monero wallet for Linux, Tails, macOS
+and Windows. It is written in C++ with the Qt framework.
+
+Copyright (c) 2020-2023, The Monero Project.
+
+Various features can be enabled/disabled by passing variables to the
+script (VAR=yes/no ./feather.SlackBuild):
+LOCALMONERO=yes|no (default: yes)
+ (disable LocalMonero feature)
+XMRIG=yes|no (default: yes)
+ (disable XMRig feature)
+DONATE_BEG=yes|no (default: yes)
+ (disable the dreaded donate requests)
+USE_DEVICE_TREZOR=yes|no (default:yes)
+ (disable Trezor hardware wallet support)
+WITH_SCANNER=yes|no (default:no)
+ (enable the webcam QR code scanner)
+
+qt6 is an optional dependency, and is auto-detected at build time.
+If qt6 is not found, qt5 will be used instead.
+
+tor is another optional dependency; a Tor daemon is required to
+connect to .onion nodes and the websocket server.
+
diff --git a/network/feather/doinst.sh b/network/feather/doinst.sh
new file mode 100644
index 000000000000..a993650058d7
--- /dev/null
+++ b/network/feather/doinst.sh
@@ -0,0 +1,10 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+# If other icon themes are installed, then add to/modify this as needed
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/network/feather/feather.SlackBuild b/network/feather/feather.SlackBuild
new file mode 100644
index 000000000000..08b31f58e921
--- /dev/null
+++ b/network/feather/feather.SlackBuild
@@ -0,0 +1,123 @@
+#!/bin/bash
+
+# Slackware build script for feather
+
+# Copyright Bloyburt 2023
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=feather
+VERSION=${VERSION:-2.4.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Optional features can be enabled/disabled here
+[ "${LOCALMONERO:-yes}" = no ] && LOCALMONERO='-DLOCALMONERO=OFF'
+[ "${XMRIG:-yes}" = no ] && XMRIG='-DXMRIG=OFF'
+[ "${DONATE_BEG:-yes}" = no ] && DONATE_BEG='-DDONATE_BEG=OFF'
+[ "${USE_DEVICE_TREZOR:-yes}" = no ] && USE_DEVICE_TREZOR='-DUSE_DEVICE_TREZOR=OFF'
+[ "${WITH_SCANNER:-no}" = yes ] && WITH_SCANNER='-DWITH_SCANNER=ON'
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr/bin \
+ $LOCALMONERO \
+ $XMRIG \
+ $DONATE_BEG \
+ $USE_DEVICE_TREZOR \
+ $WITH_SCANNER \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install/strip DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a *.md LICENSE $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# Copy the icon and desktop file into the package
+mkdir -p $PKG/usr/share/pixmaps/
+cp -a src/assets/images/appicons/256x256.png $PKG/usr/share/pixmaps/feather.png
+mkdir -p $PKG/usr/share/applications/
+cat src/assets/feather.desktop > $PKG/usr/share/applications/feather.desktop
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/network/feather/feather.info b/network/feather/feather.info
new file mode 100644
index 000000000000..5dd60a7e4bbe
--- /dev/null
+++ b/network/feather/feather.info
@@ -0,0 +1,10 @@
+PRGNAM="feather"
+VERSION="2.4.5"
+HOMEPAGE="https://featherwallet.org/"
+DOWNLOAD="https://featherwallet.org/files/releases/source/feather-2.4.5.tar.gz"
+MD5SUM="4ab3bf86357ab93c03c562e20af81c35"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="unbound zbar"
+MAINTAINER="Bloyburt"
+EMAIL="alexpen@startmail.com"
diff --git a/network/feather/slack-desc b/network/feather/slack-desc
new file mode 100644
index 000000000000..8b0ea67966f3
--- /dev/null
+++ b/network/feather/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+feather: feather (Monero Wallet Client)
+feather:
+feather: Feather is a free, open-source Monero wallet for Linux, Tails, macOS
+feather: and Windows. It is written in C++ with the Qt framework.
+feather:
+feather: Copyright (c) 2020-2023, The Monero Project.
+feather:
+feather: Homepage: https://featherwallet.org/
+feather:
+feather:
+feather: